## org.apache.poi.hwpf.converter
Class AbstractWordUtils

    java.lang.Object
      org.apache.poi.hwpf.converter.AbstractWordUtils

Direct Known Subclasses:
  WordToFoUtils, WordToHtmlUtils

    @Beta
    public class AbstractWordUtils

extends java.lang.Object

Field Summary
`static float` `TWIPS_PER_INCH`
`static int` `TWIPS_PER_PT`

Constructor Summary
`AbstractWordUtils()`

Method Summary
`static java.lang.String` `getBorderType(BorderCode borderCode)`
`static java.lang.String` `getBorderWidth(BorderCode borderCode)`
`static java.lang.String` `getBulletText(ListTables listTables, Paragraph paragraph, int listId)`
`static java.lang.String` `getColor(int ico)`
`static java.lang.String` `getColor24(int argbValue)`
`static java.lang.String` `getJustification(int js)`
`static java.lang.String` `getLanguage(int languageCode)`
`static java.lang.String` `getListItemNumberLabel(int number, int format)`
`static java.lang.String` `getOpacity(int argbValue)`
`static HWPFDocumentCore` `loadDoc(DirectoryNode root)`
`static HWPFDocumentCore` `loadDoc(java.io.File docFile)`
`static HWPFDocumentCore` `loadDoc(java.io.InputStream inputStream)`
`static HWPFDocumentCore` `loadDoc(POIFSFileSystem poifsFileSystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TWIPS_PER_INCH

    public static final float TWIPS_PER_INCH

See Also:
  Constant Field Values

### TWIPS_PER_PT

    public static final int TWIPS_PER_PT

See Also:
  Constant Field Values

Constructor Detail

### AbstractWordUtils

    public AbstractWordUtils()

Method Detail

### getBorderType

    public static java.lang.String getBorderType(BorderCode borderCode)

### getBorderWidth

    public static java.lang.String getBorderWidth(BorderCode borderCode)

### getBulletText

    public static java.lang.String getBulletText(ListTables listTables,
                                                 Paragraph paragraph,
                                                 int listId)

### getColor

    public static java.lang.String getColor(int ico)

### getOpacity

    public static java.lang.String getOpacity(int argbValue)

### getColor24

    public static java.lang.String getColor24(int argbValue)

### getJustification

    public static java.lang.String getJustification(int js)

### getLanguage

    public static java.lang.String getLanguage(int languageCode)

### getListItemNumberLabel

    public static java.lang.String getListItemNumberLabel(int number,
                                                          int format)

### loadDoc

    public static HWPFDocumentCore loadDoc(DirectoryNode root)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadDoc

    public static HWPFDocumentCore loadDoc(java.io.File docFile)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadDoc

    public static HWPFDocumentCore loadDoc(java.io.InputStream inputStream)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadDoc

    public static HWPFDocumentCore loadDoc(POIFSFileSystem poifsFileSystem)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.